| Home | Libraries | People | FAQ | More

## Struct push_front

boost::xpressive::op::push_front — `push_front` is a PolymorphicFunctionObject for pushing an element into the front of a container.

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    struct push_front {
      // types
      typedef void result_type;

      // public member functions
      template<typename Sequence, typename Value>
        void operator()(Sequence &, Value const &) const;
    };

## Description

### `push_front` public member functions

1.     template<typename Sequence, typename Value>
         void operator()(Sequence & seq, Value const & val) const;

   Equivalent to `seq.push_front(val)`.

   Parameters:

   `seq` | The sequence into which the value should be pushed.
   `val` | The value to push into the sequence.

   Returns: | `void`